summary refs log tree commit diff
path: root/home/.local/bin/up
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2018-08-18 16:15:56 -0400
committerJune McEnroe <june@causal.agency>2018-08-18 16:24:25 -0400
commitf02be9b5c09179b64dc51933635c71625a9ecb82 (patch)
treeaf4d3a862d78ecacc23bb80d6f83aaf5b8fe1915 /home/.local/bin/up
parentUse whence instead of type (diff)
downloadsrc-f02be9b5c09179b64dc51933635c71625a9ecb82.tar.gz
src-f02be9b5c09179b64dc51933635c71625a9ecb82.zip
Run {,s,t}up with /bin/sh
Diffstat (limited to '')
-rwxr-xr-xhome/.local/bin/up6
1 files changed, 3 insertions, 3 deletions
diff --git a/home/.local/bin/up b/home/.local/bin/up
index 43b1929b..4f832a3c 100755
--- a/home/.local/bin/up
+++ b/home/.local/bin/up
@@ -1,5 +1,5 @@
-#!/usr/bin/env zsh
-set -o errexit -o nounset -o pipefail
+#!/bin/sh
+set -e -u
 
 ts=$(date +%s)
 rand=$(openssl rand -hex 4)
@@ -9,4 +9,4 @@ url=$(printf 'temp.causal.agency/%x%s.%s' "$ts" "$rand" "$ext")
 scp -q "$1" "temp.causal.agency:/usr/local/www/$url"
 
 echo "https://$url"
-type pbcopy > /dev/null && echo -n "https://$url" | pbcopy
+type pbcopy > /dev/null && printf "https://$url" | pbcopy